job:
  script:
    - |
       cat > .child-ci.yml <<-EOS
       child-job:
         script: echo Hello
       EOS
  artifacts:
    paths:
      - .child-ci.yml
      
child-pipeline:
  stage: deploy
  trigger:
    include:
      - artifact: .child-ci.yml